# 数据库设计文档

## 模型构建单元部件

### 模型评估单元

#### 1.model_info（模型信息表）

| 序号 | 数据表名   | 中文名称           |
| ---- | ---------- | ------------------ |
| 1    | id         | 模型id（唯一主键） |
| 2    | model_name | 模型名称           |

#### 2.model_log（日志表）

| 序号 | 数据表名 | 中文名称           |
| ---- | -------- | ------------------ |
| 1    | id       | 日志id（唯一主键） |
| 2    | model_id | 关联模型id         |
| 3    | log_type | 日志类型           |
| 4    | log_path | 日志存储路径       |
| 5    | log_time | 日志生成时间       |

#### 3.model_evaluation（模型评估记录表）

| 序号 | 数据表名          | 中文名称               |
| ---- | ----------------- | ---------------------- |
| 1    | id                | 评估记录id（唯一主键） |
| 2    | model_id          | 关联模型id             |
| 3    | evaluation_time   | 评估时间               |
| 4    | evaluation_result | 评估结果               |
| 5    | operator          | 评估操作人员           |

#### 4.model_version(模型版本信息)

| 序号 | 数据表名     | 中文名称                           |
| ---- | ------------ | ---------------------------------- |
| 1    | id           | 版本信息表id（唯一主键）           |
| 2    | model_id     | 关联模型id                         |
| 3    | version      | 模型版本                           |
| 4    | dataset_id   | 数据集id                           |
| 5    | model_config | 模型配置信息                       |
| 6    | model_path   | 模型存储路径                       |
| 7    | status       | 模型状态（1代表上线，0代表不上线） |
| 8    | create_time  | 创建时间                           |