# 算法生命周期管理数据库设计文档

## 1. 数据表设计

### 1.1 algorithm_info（算法基础信息表）
| 字段名 | 类型 | 是否为空 | 默认值 | 说明 |
|--------|------|----------|--------|------|
| id | BIGINT | NOT NULL | AUTO_INCREMENT | 算法ID |
| algorithm_name | VARCHAR(100) | NOT NULL |  | 算法名称(唯一) |
| algorithm_file | VARCHAR(255) | NOT NULL | | 算法文件路径 |
| algorithm_type | VARCHAR(50) | NOT NULL |  | 算法分类 |
| description | TEXT | NULL |  | 算法描述 |
| created_by | VARCHAR(50) | NOT NULL |  | 创建人 |
| create_time | DATETIME | NOT NULL | CURRENT_TIMESTAMP | 创建时间 |
| update_time | DATETIME | NOT NULL | CURRENT_TIMESTAMP ON UPDATE | 更新时间 |
| file_size | BIGINT | NULL | | 文件大小(字节) |